> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/webhooks-v2/get-notification-by-id",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get notification by id

> Get notification by id




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /webhooks/{webhookId}/notifications/{notificationId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /webhooks/{webhookId}/notifications/{notificationId}:
    get:
      tags:
        - Webhooks V2
      summary: Get notification by id
      description: |
        Get notification by id
      operationId: getNotification
      parameters:
        - name: includeData
          description: Include the data of the notification
          required: false
          in: query
          schema:
            type: boolean
        - name: webhookId
          description: The ID of the webhook to fetch
          required: true
          in: path
          schema:
            type: string
        - name: notificationId
          description: The ID of the notification to fetch
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: OK
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationWithData'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<NotificationWithData>> =
            fireblocks.webhooksV2.getNotification(webhooksV2ApiGetNotificationRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<NotificationWithData>> response =
            fireblocks.webhooksV2().getNotification(webhookId, notificationId,
            includeData);
        - lang: Python
          source: >-
            response = fireblocks.webhooks_v2.get_notification(webhook_id,
            notification_id, include_data);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    NotificationWithData:
      type: object
      properties:
        id:
          type: string
          example: 44fcead0-7053-4831-a53a-df7fb90d440f
          format: uuid
        createdAt:
          type: integer
          format: int64
          description: The creation date of the notification in milliseconds
          example: 1625126400000
        updatedAt:
          type: integer
          format: int64
          description: The date when the notification was updated in milliseconds
          example: 1625126400000
        status:
          $ref: '#/components/schemas/NotificationStatus'
        eventType:
          $ref: '#/components/schemas/WebhookEvent'
        resourceId:
          type: string
          nullable: true
          default: null
          description: The resource id of the event which the Notification is listen to
          example: 44fcead0-7053-4831-a53a-df7fb90d440f
          format: uuid
        data:
          type: object
          description: notification data
      required:
        - id
        - createdAt
        - updatedAt
        - status
        - eventType
    NotificationStatus:
      type: string
      description: The status of the Notification
      example: COMPLETED
      enum:
        - COMPLETED
        - FAILED
        - IN_PROGRESS
        - ON_HOLD
    WebhookEvent:
      type: string
      enum:
        - transaction.created
        - transaction.status.updated
        - transaction.approval_status.updated
        - transaction.network_records.processing_completed
        - external_wallet.asset.added
        - external_wallet.asset.removed
        - internal_wallet.asset.added
        - internal_wallet.asset.removed
        - contract_wallet.asset.added
        - contract_wallet.asset.removed
        - vault_account.created
        - vault_account.asset.added
        - vault_account.asset.balance_updated
        - embedded_wallet.status.updated
        - embedded_wallet.created
        - embedded_wallet.asset.balance_updated
        - embedded_wallet.asset.added
        - embedded_wallet.account.created
        - embedded_wallet.device.added
        - onchain_data.updated
        - connection.added
        - connection.removed
        - connection.request.waiting_peer_approval
        - connection.request.rejected_by_peer
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````